This page is maintained for older versions of Spira only. The latest documentation can be found at: https://spiradoc.inflectra.com

SpiraTest Administration Guide Help Viewer

1. Introduction
2. Installing SpiraTeam®
3. System Administration
4. Appendices
Search:
1. Introduction
2. Installing SpiraTeam®
3. System Administration
4. Appendices

2.1.1. Install the .NET Framework v4.0

On Windows Windows 7 and Windows 2008 Server installations, Microsoft .NET Framework v4.0 is usually installed as part of the factory configuration, whereas on earlier operating systems, you might need to manually add the .NET 4.0 components to the factory configuration. On Windows 8, 10 and Server 2012, 2016, Microsoft .NET Framework 4.5 is installed which is fully compatible.

To see which version of the Microsoft .NET framework installed, open up Windows Explorer® and navigate to C:\WINDOWS\Microsoft.NET\Framework and then the subfolders listed will indicate which version(s) of the framework you have installed:

To install the .NET Framework, launch Internet Explorer and enter the URL: https://www.inflectra.com/CustomerArea. Once you have logged-in to the customer area, under the “My Downloads” section there will be hyperlinks to download and install the appropriate version of the .NET Framework (version 4.0 at time of writing). Click on the option to download and install the .NET Framework, and follow the instructions provided. Once you have completed the install, verify that the installation was successful by looking in the “Administrative Tools” folder as illustrated above. You also need to make sure that .NET 4.0 has been installed if necessary.

Please make sure that the Full .NET 4.0 Framework is installed and not just the .NET 4.0 Client Profile. You can check which is installed by going to Start > Control Panel > Programs & Features and then looking for the different .NET 4.0 Framework components that are installed:

If you only see the “Microsoft .NET Framework 4 Client Profile” and not the “Microsoft .NET Framework 4 Extended”, then you need to install the additional .NET 4.0 components that are needed for server-based applications such as SpiraTeam to run.